aboutsummaryrefslogtreecommitdiff
path: root/check/bash
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-16 14:24:31 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-16 14:24:50 +1200
commit2f5c3f189d83b6297a93dee83819092a63a33e88 (patch)
tree20bc97584202d210d0d6ac62c21afd7850c9e697 /check/bash
parentChange Zsh URL to HTTPS version (diff)
downloaddotfiles-2f5c3f189d83b6297a93dee83819092a63a33e88.tar.gz
dotfiles-2f5c3f189d83b6297a93dee83819092a63a33e88.zip
Rename "test" targets to "check"
Mostly to make way for an actual test suite beyond mere syntax checking
Diffstat (limited to 'check/bash')
-rwxr-xr-xcheck/bash6
1 files changed, 6 insertions, 0 deletions
diff --git a/check/bash b/check/bash
new file mode 100755
index 00000000..f203c2c1
--- /dev/null
+++ b/check/bash
@@ -0,0 +1,6 @@
+#!/bin/sh
+for bash in bash/* bash/bashrc.d/* bash/bash_profile.d/* ; do
+ [ -f "$bash" ] || continue
+ bash -n "$bash" || exit
+done
+printf 'All bash(1) scripts parsed successfully.\n'